<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Beers</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="../static/css/styles.css" th:href="@{/css/styles.css}">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Bootstrap css -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="../static/css/fontawesome-free-5.12.0-web/css/all.css"
          th:href="@{/css/fontawesome-free-5.12.0-web/css/all.css}">


</head>
<body>
<div class="container-fluid">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark sticky-top">
        <a class="navbar-brand" href="/">Beer-Tag</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item active">
                    <a class="nav-link" href="/beers">Beers <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/breweries">Breweries</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/users">Users</a>
                </li>
            </ul>
            <ul class="nav navbar-nav ml-auto">
                <li class="nav-item " sec:authorize="isAnonymous()">
                    <a class="nav-link" href="/login">Login</a>
                </li>
                <li class="nav-item  " sec:authorize="isAuthenticated()">
                    <a class="nav-link" th:href="@{'/users/'+ ${user.id}}">My profile</a>
                </li>
                <li class="nav-item" sec:authorize="isAuthenticated() ">
                    <a class="nav-link" th:href="@{'/users/'+ ${user.id}}">
                        <img th:src="${user.photo}" class=" profile-picture"></a>
                </li>
                <li>
                    <form style="margin-top: 0;" sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
                        <input type="submit" class="btn btn-link btn-logout" value="Logout"/>
                    </form>
                </li>
            </ul>
        </div>
    </nav> <!-- end of navbar -->

    <div th:if="${beerPage.isEmpty()}">
        <div class="jumbotron jumbotron-fluid">
            <div class="container container-fluid">
                <h1 class="display-4">No beers located...</h1>
                <p class="lead">We are very sorry. There aren't any beers at the moment.</p>
                <p class="lead">Would you like to add one?</p>
                <button sec:authorize="isAuthenticated()"
                        type="button" class="btn btn-danger"
                        data-toggle="collapse"
                        data-target="#emptyPageForm"
                >Add Beer
                </button>

                <div class="collapse container" id="emptyPageForm">
                    <form action="/beers/add-beer" th:action="@{/beers/add-beer}" th:object="${beer}" method="post"
                          enctype="multipart/form-data">
                        <div class="form-group">
                            <label for="empty_input_beername">Beer Name</label>
                            <input type="text" class="form-control" id="empty_input_beername" min="4" max="20" required
                                   minlength="5"
                                   maxlength="25" th:field="*{name}">
                        </div>
                        <div class="form-group">
                            <label for="empty_input_description">Description</label>
                            <textarea class="form-control" id="empty_input_description" rows="3" min="40" max="255"
                                      minlength="40"
                                      maxlength="255" th:field="*{description}"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="empty_input_abv">ABV</label>
                            <input type="number" step="0.01" max="100" min="1" class="form-control" id="empty_input_abv"
                                   th:field="*{abv}">
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <label class="input-group-text" for="empty_select_style">Style</label>
                            </div>
                            <select class="custom-select" id="empty_select_style" th:field="*{style.id}">
                                <option th:each="style : ${styles}"
                                        th:value="${style.getId()}"
                                        th:text="${style.getName()}">Style#1
                                </option>
                            </select>
                            <button class="btn btn-primary btn-danger" type="button" data-toggle="collapse"
                                    data-target="#collapse-add-style1">Or Add Style
                            </button>
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <label class="input-group-text" for="empty_select_brewery">Brewery</label>
                            </div>
                            <select class="custom-select" id="empty_select_brewery" th:field="*{brewery.id}">
                                <option th:each="brewery : ${breweries}"
                                        th:value="${brewery.getId()}"
                                        th:text="${brewery.getName()}">Brewery#1
                                </option>
                            </select>
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="empty_basic-addon1">Tags#</span>
                            </div>
                            <input type="text" class="form-control" placeholder="Add tags separated with a space."
                                   name="addTags">
                        </div>
                        <div class="form-group">
                            <label for="empty_filechoser_beerpicture">Beer picture (15MB/.jpg/.png/.gif)</label>
                            <input type="file" class="form-control-file" id="empty_filechoser_beerpicture" name="files"
                                   accept="image/x-png,image/gif,image/jpeg">
                        </div>
                        <button type="submit" class="btn btn-primary btn-danger">Submit</button>
                    </form>
                    <div class="collapse" id="collapse-add-style1">
                        <form th:action="@{/beers/add-style}" th:object="${style}" method="post">
                            <div class="form-group ">
                                <label for="empty_input_stylename">Style Name</label>
                                <input type="text" class="form-control" id="empty_input_stylename"
                                       th:field="*{name}"
                                       required
                                       minlength="10"
                                       maxlength="30">
                            </div>
                            <div class="form-group ">
                                <label for="empty_input_styledescription"> Style Description</label>
                                <textarea class="form-control" id="empty_input_styledescription" rows="3"
                                          maxlength="250"
                                          th:field="*{description}"></textarea>
                            </div>
                            <button type="submit" class="btn btn-primary btn-danger" style="margin-bottom: 1rem">
                                Add Style To List
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div> <!-- end of jumbotron -->
    </div>

    <div th:unless="${beerPage.isEmpty()}">
        <div class="jumbotron jumbotron-fluid">
            <div class="container container-fluid">
                <h1 class="display-4">All of our beers!</h1>
                <p class="lead">Here you can see a list of all of our beers.</p>

                <form th:action="@{/beers}" method="get">
                    <div class="row centered-content-row">
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="inputGroupSelect01">Name</label>
                                </div>
                                <input class="custom-select" id="inputGroupSelect01" type="text"
                                       placeholder="Enter Beer Name..."
                                       th:name="name"/>
                            </div>
                        </div>
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="brewerySelect">Brewery</label>
                                </div>
                                <select class="custom-select" id="brewerySelect" th:name="brewery">
                                    <option selected></option>
                                    <option th:each="brew : ${breweries}" th:value="${brew.getName()}"
                                            th:text="${brew.getName()}">One
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row centered-content-row">
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="styleSelect">Styles</label>
                                </div>
                                <select class="custom-select" id="styleSelect" th:name="style">
                                    <option selected></option>
                                    <option th:each="style1 : ${styles}"
                                            th:value="${style1.getName()}"
                                            th:text="${style1.getName()}">One
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="tagSelect">Country</label>
                                </div>
                                <select class="custom-select" id="tagSelect" th:name="country">
                                    <option selected></option>
                                    <option th:each="countryFromList : ${countries}"
                                            th:value="${countryFromList.getName()}"
                                            th:text="${countryFromList.getName()}">One
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row centered-content-row">
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="abvFilter">ABV</label>
                                </div>
                                <input class="custom-select" id="abvFilter" type="number"
                                       placeholder="Enter Beer ABV..."
                                       th:name="abv" max="100"/>
                            </div>
                        </div>
                        <div class="col">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <label class="input-group-text" for="ratingFilter">Rating</label>
                                </div>
                                <input class="custom-select" id="ratingFilter" th:name="rating"
                                       placeholder="Enter Beer Rating from 1 to 10" type="number"
                                       minlength="1" maxlength="10" min="1" max="10"/>
                            </div>
                        </div>
                    </div>
                    <div class="row centered-content-row">
                        <h6 class="form-check-label" style="padding: 5px">Order by</h6>
                    </div>
                    <div class="row centered-content-row">
                        <div class="btn-group " role="group" aria-label="Basic example">
                            <button type="submit" class="btn btn-danger btn2" th:name="sortBy" th:value="name">Name
                            </button>
                            <button type="submit" class="btn btn-danger btn2" th:name="sortBy" th:value="brewery">
                                Brewery
                            </button>
                            <button type="submit" class="btn btn-danger btn2" th:name="sortBy" th:value="style">Style
                            </button>
                            <button type="submit" class="btn btn-danger btn2" th:name="sortBy" th:value="country">
                                Country
                            </button>
                        </div>
                    </div>
                </form>

                <div class="row centered-content-row" style="padding-top: 1rem">
                    <button sec:authorize="isAuthenticated()"
                            type="button" class="btn btn-danger"
                            data-toggle="collapse"
                            data-target="#collapseExample"
                    >Add Beer
                    </button>
                </div>

                <div class="collapse container" id="collapseExample">
                    <form action="/beers/add-beer" th:action="@{/beers/add-beer}" th:object="${beer}" method="post"
                          enctype="multipart/form-data">
                        <div class="form-group">
                            <label for="input_beername">Beer Name</label>
                            <input type="text" class="form-control" id="input_beername" min="4" max="20" required
                                   minlength="5"
                                   maxlength="25" th:field="*{name}">
                        </div>
                        <div class="form-group">
                            <label for="input_description">Description</label>
                            <textarea class="form-control" id="input_description" rows="3" min="40" max="255"
                                      minlength="40"
                                      maxlength="255" th:field="*{description}"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="input_abv">ABV</label>
                            <input type="number" step="0.01" max="100" min="1" class="form-control" id="input_abv"
                                   th:field="*{abv}">
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <label class="input-group-text" for="select_style">Style</label>
                            </div>
                            <select class="custom-select" id="select_style" th:field="*{style.id}">
                                <option th:each="style : ${styles}"
                                        th:value="${style.getId()}"
                                        th:text="${style.getName()}">Style#1
                                </option>
                            </select>
                            <button class="btn btn-primary btn-danger" type="button" data-toggle="collapse"
                                    data-target="#collapse-add-style">
                                Or Add Style
                            </button>
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <label class="input-group-text" for="select_brewery">Brewery</label>
                            </div>
                            <select class="custom-select" id="select_brewery" th:field="*{brewery.id}">
                                <option th:each="brewery : ${breweries}"
                                        th:value="${brewery.getId()}"
                                        th:text="${brewery.getName()}">Brewery#1
                                </option>
                            </select>
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="basic-addon1">Tags#</span>
                            </div>
                            <input type="text" class="form-control" placeholder="Add tags separated with a space."
                                   name="addTags">
                        </div>
                        <div class="form-group">
                            <label for="filechoser_beerpicture">Beer picture (15MB/.jpg/.png/.gif)</label>
                            <input type="file" class="form-control-file" id="filechoser_beerpicture" name="files"
                                   accept="image/x-png,image/gif,image/jpeg">
                        </div>
                        <button type="submit" class="btn btn-primary btn-danger">Submit</button>
                    </form>

                    <div class="collapse" id="collapse-add-style">
                        <form th:action="@{/beers/add-style}" th:object="${style}" method="post">
                            <div class="form-group ">
                                <label for="input_stylename">Style Name</label>
                                <input type="text" class="form-control" id="input_stylename"
                                       th:field="*{name}"
                                       required
                                       minlength="10"
                                       maxlength="30">
                            </div>
                            <div class="form-group ">
                                <label for="input_styledescription"> Style Description</label>
                                <textarea class="form-control" id="input_styledescription" rows="3"
                                          maxlength="250"
                                          th:field="*{description}"></textarea>
                            </div>
                            <button type="submit" class="btn btn-primary btn-danger" style="margin-bottom: 1rem">Add
                                Style To List
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div> <!-- end of jumbotron -->
    </div>

    <div class="container">
        <div class="row beers-card-list-row">
            <div class="col beers-card-list" th:each="beer : ${beerPage}">
                <div class="card" style="width: 18rem;">
                    <div th:onclick="|window.location.href='/beers/${beer.getId()}'|">
                        <div class="beer-picture">
                            <img src="../static/images/beer-example.jpg" th:if="${beer.getPicture() != null}"
                                 th:src="@{${beer.getPicture()}}"
                                 class="card-img-top img-rounded" alt="../static/images/beer-example.jpg">
                        </div>
                        <div class="card-body">
                            <h5 class="card-title" th:text="${beer.getName()}">Beer name</h5>
                        </div>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item">
                                <a th:href="@{/beers/(style=${beer.getStyle().getName()}, sortBy='style')}"
                                   th:text="${beer.getStyle().getName()}">Style name</a>
                            </li>
                            <li class="list-group-item">
                                <a th:href="@{/beers/(brewery=${beer.getBrewery().getName()}, sortBy='brewery')}"
                                   th:text="${beer.getBrewery().getName()}">Brewery name</a>
                            </li>
                            <li class="list-group-item" th:text="${'ABV: ' + beer.getAbv()}">ABV</li>
                            <li class="list-group-item" th:text="${'Rating: ' + beer.getAverageRating() +'/10'}">Rating:
                                7.5/10
                                <div class="progress">
                                    <div class="progress-bar bg-warning" role="progressbar" style="width: 75%"></div>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="btn-group" role="group" sec:authorize="isAuthenticated()">
                        <button type="button" class="btn btn-danger btn1"
                                th:disabled="(${user.getDrankList().contains(beer)} ? true : false)"
                                th:onclick="|window.location.href='/users/addToDrank/${beer.getId()}'|">
                            Add to drank-list
                        </button>
                        <button type="button" class="btn btn-danger btn1"
                                th:disabled="(${user.getWishList().contains(beer)} ? true : false)"
                                th:onclick="|window.location.href='/users/addToWish/${beer.getId()}'|" >
                            Add to wish-list
                        </button>
                    </div>
                </div> <!-- end of card --->
            </div>
        </div>

        <nav id="pagination-nav ">
            <ul class="pagination justify-content-center">
                <li class="page-item" th:if="${beerPage.totalPages > 0}" th:each="pageNumber : ${pageNumbers}">
                    <a id="pagination" class="page-link" th:href="@{/beers/(size=${beerPage.size}, page=${pageNumber},
                    name=${nameFilter}, brewery=${breweryFilter},country=${countryFilter},
                     abv=${abvFilter}, rating=${ratingFilter},style=${styleFilter}, sortBy=${sortBy}, tagID=${tagID})}"
                       th:text="${pageNumber}"
                       th:class="'page-link ' + (${pageNumber==beerPage.number + 1} ? 'active-page' : '')">
                        1
                    </a>
                </li>
            </ul>
        </nav><!-- End of pagination --->

    </div> <!-- end of beer list-->
</div>


<!-- Bootstrap, JQuery and Popperjs -->
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>

<script src="js/app.js"></script>

</body>
</html>